<div class="main-container container">
  <section class="sort">
    <h5>Sort</h5>
    <select
      class="form-select"
      aria-label="Default select example"
      (change)="onSort($event)"
    >
      <option *ngFor="let option of sortOPtions" [value]="option.value">
        {{ option.name }}
      </option>
    </select>
  </section>
  <section class="search">
    <h5>Search</h5>
    <div class="d-flex">
      <input
        class="form-control me-2"
        type="search"
        placeholder="Search"
        aria-label="Search"
        #search
        (keyup.enter)="onSearch()"
      />
      <button class="btn btn-outline-success mx-2" (click)="onSearch()">
        Search
      </button>
      <button class="btn btn-outline-secondary" (click)="onReset()">
        Reset
      </button>
    </div>
  </section>
  <section class="filters" *ngIf="brands && types">
    <h5>Brands</h5>
    <div class="list-group mb-4">
      <a
        class="list-group-item list-group-item-action c-pointer"
        *ngFor="let brand of brands"
        (click)="onBrndFilter(brand.id)"
        [ngClass]="{ active: shopParams.brandId === brand.id }"
        >{{ brand.name }}</a
      >
    </div>
    <h5>Types</h5>
    <div class="list-group mb-4">
      <a
        class="list-group-item list-group-item-action c-pointer"
        *ngFor="let type of types"
        (click)="onTypeFilter(type.id)"
        [ngClass]="{ active: shopParams.typeId === type.id }"
        >{{ type.name }}</a
      >
    </div>
  </section>
  <main class="products" *ngIf="!loading">
    <app-pagination-header
      [pageIndex]="shopParams.pageIndex"
      [pageSize]="shopParams.pageSize"
      [totalCount]="totalCount"
    ></app-pagination-header>
    <h6 *ngIf="!totalCount">There are <strong>0</strong> results.</h6>
    <app-product
      *ngFor="let product of products"
      [product]="product"
    ></app-product>
    <div class="products__pagination" *ngIf="totalCount > 0">
      <app-pager
        [pageSize]="shopParams.pageSize"
        [totalCount]="totalCount"
        (pageChange)="onPageChange($event)"
      ></app-pager>
    </div>
  </main>
</div>
